# Activate a domain key

Activate a key to be used to DKIM sign emails with. Note: dns records must be valid for a domain key to be activated

Endpoint: PUT /v4/domains/{authority_name}/keys/{selector}/activate
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `authority_name` (string, required)
    The domain authority name you want to activate. Must be a valid domain

  - `selector` (string, required)
    The selector you want to activate for the domain key. Must be a valid dot atom

## Response 200 fields (application/json):

  - `message` (string, required)

  - `authority` (string, required)

  - `selector` (string, required)

  - `active` (boolean, required)

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message


